Skip to main content
GET
/
workspaces
/
{workspace_id}
/
cases
/
{case_id}
/
durations
/
{duration_id}
Error
A valid request URL is required to generate request examples
{
  "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "start_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "end_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "started_at": "2023-11-07T05:31:56Z",
  "ended_at": "2023-11-07T05:31:56Z",
  "duration": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

case_id
string<uuid>
required
duration_id
string<uuid>
required
workspace_id
string<uuid>
required

Response

Successful Response

Read model for case duration records.

definition_id
string<uuid>
required

Identifier of the case duration definition generating this duration.

id
string<uuid>
required
case_id
string<uuid>
required
start_event_id
string<uuid> | null

Case event that started the duration, if available.

end_event_id
string<uuid> | null

Case event that ended the duration, if available.

started_at
string<date-time> | null

Timestamp when the duration began.

ended_at
string<date-time> | null

Timestamp when the duration ended.

duration
string<duration> | null

Total elapsed time between start and end timestamps.